Index: appendixa/shadowpwd-desc.sgml
===================================================================
--- appendixa/shadowpwd-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
+++ appendixa/shadowpwd-desc.sgml	(revision 6370fa6cff0ec2a8ac8d50d1595ec9500f6631c9)
@@ -0,0 +1,273 @@
+<sect2>
+<title>Contents</title>
+
+<para>
+The Shadow Password Suite contains the chage, chfn, chsh, expiry,
+faillog, gpasswd, lastlog, login, newgrp, passwd, sg, su, chpasswd, 
+dpasswd, groupadd, groupdel, groupmod, grpck, grpconv, grpunconv, logoutd,
+mkpasswd, newusers, pwck, pwconv, pwunconv, useradd, userdel, usermod
+and vipw programs.
+</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>chage</title>
+
+<para>
+chage changes the number of days between password changes and the date of 
+the last password change.
+</para>
+
+</sect3>
+
+<sect3><title>chfn</title>
+
+<para>
+chfn changes user fullname, office number, office extension, and home 
+phone number information for a user's account.
+</para>
+
+</sect3>
+
+<sect3><title>chsh</title>
+
+<para>
+chsh  changes the user login shell.
+</para>
+
+</sect3>
+
+<sect3><title>expiry</title>
+
+<para>
+It's currently unknown what this program is for.
+</para>
+
+</sect3>
+
+<sect3><title>faillog</title>
+
+<para>
+faillog formats the contents of the failure log,/var/log/faillog, and 
+maintains failure counts and limits.
+</para>
+
+</sect3>
+
+<sect3><title>gpasswd</title>
+
+<para>
+gpasswd is used to administer the /etc/group file
+</para>
+
+</sect3>
+
+<sect3><title>lastlog</title>
+
+<para>
+lastlog formats and prints the contents of the last login log, 
+/var/log/lastlog. The login-name, port, and last login time will be printed.
+</para>
+
+</sect3>
+
+<sect3><title>login</title>
+
+<para>
+login is used to establish a new session with the system.
+</para>
+
+</sect3>
+
+<sect3><title>newgrp</title>
+
+<para>
+newgrp is used to change the current group ID during a login session.
+</para>
+
+</sect3>
+
+<sect3><title>passwd</title>
+
+<para>
+passwd changes passwords for user and group accounts.
+</para>
+
+</sect3>
+
+<sect3><title>sg</title>
+
+<para>
+sg executes command as a different group ID.
+</para>
+
+</sect3>
+
+<sect3><title>su</title>
+
+<para>
+Change the effective user id and group id to that of a user. This
+replaces the su programs that's installed from the Shellutils package.
+</para>
+
+</sect3>
+
+<sect3><title>chpasswd</title>
+
+<para>
+chpasswd reads a file of user name and password pairs from standard 
+input and uses this information to update a group of existing users.
+</para>
+
+</sect3>
+
+<sect3><title>dpasswd</title>
+
+<para>
+dpasswd adds, deletes, and updates dialup passwords for user login shells.
+</para>
+
+</sect3>
+
+<sect3><title>groupadd</title>
+
+<para>
+The groupadd command creates a new group account using the values 
+specified on the command line and the default values  from the system.
+</para>
+
+</sect3>
+
+<sect3><title>groupdel</title>
+
+<para>
+The groupdel command modifies the system account files, deleting all 
+entries that refer to group.
+</para>
+
+</sect3>
+
+<sect3><title>groupmod</title>
+
+<para>
+The groupmod command modifies the system account files to reflect the 
+changes that are specified on the command line.
+</para>
+
+</sect3>
+
+<sect3><title>grpck</title>
+
+<para>
+grpck verifies the integrity of the system authentication information.
+</para>
+
+</sect3>
+
+<sect3><title>grpconv</title>
+
+<para>
+grpunconv converts to shadow group files from normal group files.
+</para>
+
+</sect3>
+
+<sect3><title>grpunconv</title>
+
+<para>
+grpunconv converts from shadow group files to normal group files.
+</para>
+
+</sect3>
+
+<sect3><title>logoutd</title>
+
+<para>
+logoutd enforces the login time and port restrictions specified in 
+/etc/porttime.
+</para>
+
+</sect3>
+
+<sect3><title>mkpasswd</title>
+
+<para>
+mkpasswd reads a file in the format given by the flags and converts it 
+to the corresponding database file format.
+</para>
+
+</sect3>
+
+<sect3><title>newusers</title>
+
+<para>
+newusers reads a file of user name and cleartext password pairs and uses 
+this information to update a group of existing users or to create new users.
+</para>
+
+</sect3>
+
+<sect3><title>pwck</title>
+
+<para>
+pwck verifies the integrity of the system authentication information.
+</para>
+
+</sect3>
+
+<sect3><title>pwconv</title>
+
+<para>
+pwconv converts to shadow passwd files from normal passwd files.
+</para>
+
+</sect3>
+
+<sect3><title>pwunconv</title>
+
+<para>
+pwunconv converts from shadow passwd files to normal files.
+</para>
+
+</sect3>
+
+<sect3><title>useradd</title>
+
+<para>
+useradd creates a new user or update default new user information.
+</para>
+
+</sect3>
+
+<sect3><title>userdel</title>
+
+<para>
+userdel modifies the system account files, deleting all entries that 
+refer to a specified login name.
+</para>
+
+</sect3>
+
+<sect3><title>usermod</title>
+
+<para>
+usermod modifies the system account files to reflect the changes that 
+are specified on the command line.
+</para>
+
+</sect3>
+
+<sect3><title>vipw and vigr</title>
+
+<para>
+vipw and vigr will edit the files /etc/passwd and /etc/group, 
+respectively. With the -s flag, they will edit the shadow versions of 
+those files, /etc/shadow  and /etc/gshadow,  respectively.
+</para>
+
+</sect3>
+
+</sect2>
+
